Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class MessageWarner

    java.lang.Object
      net.sf.saxon.event.Emitter
          net.sf.saxon.event.XMLEmitter
              net.sf.saxon.event.MessageWarner

All Implemented Interfaces:
  Result, Receiver

    public class MessageWarner

extends XMLEmitter

MessageWarner is a user-selectable receiver for XSLT xsl:message output. It causes xsl:message output to be notified to the warning() method of the JAXP ErrorListener, or to the error() method if terminate="yes" is specified. This behaviour is specified in recent versions of the JAXP interface specifications, but it is not the default behaviour, for backwards compatibility reasons.

The text of the message that is sent to the ErrorListener is an XML serialization of the actual message content.

Constructor Summary
`MessageWarner()`

Method Summary
`void` | `endDocument()` Notify the end of a document node
`void` | `startDocument(int properties)` Start of a document node.

Methods inherited from class net.sf.saxon.event.XMLEmitter
`attribute, characters, close, closeStartTag, comment, endElement, main, namespace, open, processingInstruction, startContent, startElement, writeCharSequence, writeDeclaration`

Methods inherited from class net.sf.saxon.event.Emitter
`getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageWarner

    public MessageWarner()

Method Detail

### startDocument

    public void startDocument(int properties)
                       throws XPathException

  Description copied from class: `XMLEmitter`
  Start of a document node. Nothing is done at this stage: the opening of the output file is deferred until some content is written to it.

  Specified by:
    `startDocument` in interface `Receiver`
  Overrides:
    `startDocument` in class `XMLEmitter`
  Throws:
    `XPathException`

### endDocument

    public void endDocument()
                     throws XPathException

  Description copied from class: `XMLEmitter`
  Notify the end of a document node

  Specified by:
    `endDocument` in interface `Receiver`
  Overrides:
    `endDocument` in class `XMLEmitter`
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.